OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.LightTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTLightTexture :: MonadIO m => m Bool
- gl_EXT_light_texture :: Bool
- pattern GL_ATTENUATION_EXT :: GLenum
- pattern GL_FRAGMENT_COLOR_EXT :: GLenum
- pattern GL_FRAGMENT_DEPTH_EXT :: GLenum
- pattern GL_FRAGMENT_MATERIAL_EXT :: GLenum
- pattern GL_FRAGMENT_NORMAL_EXT :: GLenum
- pattern GL_SHADOW_ATTENUATION_EXT :: GLenum
- pattern GL_TEXTURE_APPLICATION_MODE_EXT :: GLenum
- pattern GL_TEXTURE_LIGHT_EXT :: GLenum
- pattern GL_TEXTURE_MATERIAL_FACE_EXT :: GLenum
- pattern GL_TEXTURE_MATERIAL_PARAMETER_EXT :: GLenum
- glApplyTextureEXT :: MonadIO m => GLenum -> m ()
- glTextureLightEXT :: MonadIO m => GLenum -> m ()
- glTextureMaterialEXT :: MonadIO m => GLenum -> GLenum -> m ()

# Extension Support

glGetEXTLightTexture :: MonadIO m => m Bool Source #

Is the EXT_light_texture extension supported?

gl_EXT_light_texture :: Bool Source #

Is the EXT_light_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTLightTexture` in those cases instead.

# Enums

pattern GL_ATTENUATION_EXT :: GLenum Source #

pattern GL_FRAGMENT_COLOR_EXT :: GLenum Source #

pattern GL_FRAGMENT_DEPTH_EXT :: GLenum Source #

pattern GL_FRAGMENT_MATERIAL_EXT :: GLenum Source #

pattern GL_FRAGMENT_NORMAL_EXT :: GLenum Source #

pattern GL_SHADOW_ATTENUATION_EXT :: GLenum Source #

pattern GL_TEXTURE_APPLICATION_MODE_EXT :: GLenum Source #

pattern GL_TEXTURE_LIGHT_EXT :: GLenum Source #

pattern GL_TEXTURE_MATERIAL_FACE_EXT :: GLenum Source #

pattern GL_TEXTURE_MATERIAL_PARAMETER_EXT :: GLenum Source #

# Functions

glApplyTextureEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type LightTextureModeEXT.
-> m () |

glTextureLightEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type LightTexturePNameEXT.
-> m () |

glTextureMaterialEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `mode` of type MaterialParameter.
-> m () |